Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class ProgressCallback

A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

Field Summary
`PrimaryClassNodeOperation` | `classgen`
`SourceUnitOperation` | `compileCompleteCheck`
`SourceUnitOperation` | `convert`
`SourceUnitOperation` | `mark`
`GroovyClassOperation` | `output`
`SourceUnitOperation` | `resolve`
`PrimaryClassNodeOperation` | `staticImport`

Constructor Summary
`ProgressCallback()`

Method Summary
`void` | `call(ProcessingUnit context, int phase)`
`void` | `compile()` Synonym for compile(Phases.ALL).
`void` | `compile(int throughPhase)` Compiles the compilation unit from sources.
`ClassVisitor` | `createClassVisitor()`
`boolean` | `dequeued()` Dequeues any source units add through addSource and resets the compiler phase to initialization.
`void` | `mark()` Updates the phase marker on all sources.
`void` | `setProgressCallback(ProgressCallback callback)` Sets a ProgressCallback.
`void` | `sortClasses()`

Constructor Detail

### ProgressCallback

    ProgressCallback()

Method Detail

### call

    public void call(ProcessingUnit context, int phase)

### compile

    public void compile()

  Synonym for compile(Phases.ALL).

### compile

    public void compile(int throughPhase)

  Compiles the compilation unit from sources.

### createClassVisitor

    ClassVisitor createClassVisitor()

### dequeued

    boolean dequeued()

  Dequeues any source units add through addSource and resets the compiler phase to initialization.

  Note: this does not mean a file is recompiled. If a SoucreUnit has already passed a phase it is skipped until a higher phase is reached.
  return:
    true if there was a queued source
  throws:
    CompilationFailedException

### mark

    void mark()

  Updates the phase marker on all sources.

### setProgressCallback

    public void setProgressCallback(ProgressCallback callback)

  Sets a ProgressCallback. You can have only one, and setting it to null removes any existing setting.

### sortClasses

    void sortClasses()